RCS_ID_C = "$Id: chkabort.c,v 1.1 1994/03/09 01:36:18 jraja Exp $";
/*
 * chkabort.c -- prevent SA/C default CTRL-C checking
 *
 * Author: jraja <Jarno.Rajahalme@hut.fi>
 *
 * Copyright  1994 AmiTCP/IP Group, <AmiTCP-Group@hut.fi>
 *                  Helsinki University of Technology, Finland.
 *
 * Created      : Sat Feb 26 15:02:46 1994 jraja
 * Last modified: Sat Feb 26 15:02:46 1994 jraja
 *
 */

/****** net.lib/__chkabort ***************************************************

    NAME
        __chkabort - replace SAS/C abort checking function with do-nothing

    SYNOPSIS

        void __regargs __chkabort(void);

    FUNCTION
        This function replaces the __chkabort() function of the SAS/C
        library. This is desirable, since the AmiTCP functions break
        with the CTRL-C by default, and this should not be interfered
        with the default SAS/C handling.

    NOTES
        This function is SAS/C 6.x specific. Users of any other
        compilers should provide similar functionality themselves.

    SEE ALSO
        SAS/C 6.x Library Reference

******************************************************************************
*/

void __regargs
__chkabort(void)
{
}
